Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes

From: Sean Hooten <[email-masked]>
Date: Thu, 26 Oct 2017 00:03:21 -0700

On Wed, Oct 25, 2017 at 9:25 PM, Mihai Moldovan <[email-masked]> wrote:
>
>
> I'd still like to know what is messed up, though.
>
> As the normal user for which pulseaudio --version doesn't work, can you try
> spawning sudo dtruss -f sudo -u $USER
> /Applications/x2goclient.app/Contents/exe/pulseaudio --version
>
> Yeah, I know this looks weird since we need to use sudo twice, but dtruss
> is
> only working with elevated privileges, but since root is able to execute PA
> --version just fine, we need to switch back to your other user account...
>
>
I get the following:

dtrace: failed to execute sudo: dtrace cannot control executables signed
with restricted entitlements

>From briefly reading up, it looks like Apple's System Integrity Protection
might be interfering. Should I disable it and try again?

Sean